#!/bin/sh

if [ ! -f /cdrom/boot/extlinux.conf.restore ]; then
    cp /cdrom/boot/extlinux.conf /cdrom/boot/extlinux.conf.restore
fi

ROOTDEVICE=
for x in $(cat /proc/cmdline); do
    case $x in
        rootdevice=*)
            ROOTDEVICE=$x;;
        *) ;;
    esac
done

cat > /cdrom/boot/extlinux.conf <<EOF
DEFAULT vesamenu.c32
PROMPT 0
MENU BACKGROUND splash.jpg
MENU COLOR sel 7;31;40 #900090f0 #00000000 std
MENU COLOR unsel 7;31;40 #90f0f0f0 #00000000 std
MENU WIDTH 100
MENU VSHIFT 20
MENU ROWS 3
LABEL linutop
MENU LABEL Cancel the restoration
KERNEL vmlinuz
APPEND boot=lrd initrd=initrd.gz root=/dev/ram rw quiet splash -- syslinux_restore $ROOTDEVICE
KERNEL vmlinuz
LABEL restore
MENU LABEL Restore the system (keep user data and configuration)
KERNEL vmlinuz
APPEND boot=lrd initrd=initrd.gz root=/dev/ram rw quiet splash -- restore=true $ROOTDEVICE
LABEL restoreall
MENU LABEL Restore the system (delete everything)
KERNEL vmlinuz
APPEND boot=lrd initrd=initrd.gz root=/dev/ram rw quiet splash -- restore=true restoreall $ROOTDEVICE
TIMEOUT 300
EOF
